.\" $NetBSD: adv.4,v 1.7 2005/09/09 14:11:39 drochner Exp $
.\"
.\" Copyright (c) 1999 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd June 4, 1999
.Dt ADV 4
.Os
.Sh NAME
.Nm adv
.Nd ConnectCom Solutions AdvanSys SCSI adapter driver
.Sh SYNOPSIS
.Cd "adv* at pci? dev ? function ?"
.Cd "adv0 at isa? port ? irq ? drq ?"
.Cd "adv* at cardbus? function ?"
.Cd "scsibus* at adv?"
.Sh DESCRIPTION
The
.Nm
driver supports the following
.Tn AdvanSys
.Tn SCSI
host adapters
.Pp
.\" .It Tn AdvanSys 1200[A,B]
.Ss PCI bus
Connectivity Products:
.Bl -tag -width "ABP510/5150" -offset indent -compact
.It ABP920
Bus-Master PCI (16 CDB)
.It ABP930
Bus-Master PCI (16 CDB)
(note 1)
.It ABP930U
Bus-Master PCI Ultra (16 CDB)
.It ABP930UA
Bus-Master PCI Ultra (16 CDB)
.It ABP960
Bus-Master PCI MAC/PC (16 CDB)
(note 2)
.It ABP960U
Bus-Master PCI MAC/PC Ultra (16 CDB)
(note 2)
.El
.Pp
Notes:
.Bl -enum -compact
.It
This board has been sold by SIIG as the Fast SCSI Pro PCI.
.It
This board has been sold by Iomega as a Jaz Jet PCI adapter.
.El
.Pp
Single Channel Products:
.Bl -tag -width "ABP510/5150" -offset indent -compact
.It ABP940
Bus-Master PCI (240 CDB)
.It ABP940U
Bus-Master PCI Ultra (240 CDB)
.It ABP970
Bus-Master PCI MAC/PC (240 CDB)
.It ABP970U
Bus-Master PCI MAC/PC Ultra (240 CDB)
.It ABP940UW
Bus-Master PCI Ultra-Wide (240 CDB)
.El
.Pp
Multi Channel Products:
.Bl -tag -width "ABP510/5150" -offset indent -compact
.It ABP950
Dual Channel Bus-Master PCI (240 CDB Per Channel)
.It ABP980
Four Channel Bus-Master PCI (240 CDB Per Channel)
.It ABP980U
Four Channel Bus-Master PCI Ultra (240 CDB Per Channel)
.El
.Ss ISA bus
Connectivity Products:
.Bl -tag -width "ABP510/5150" -offset indent -compact
.It ABP510/5150
Bus-Master ISA (240 CDB) (note 1)
.It ABP5140
Bus-Master ISA (16 CDB) (note 1) (note 2)
.It ABP5142
Bus-Master ISA with floppy (16 CDB) (note 3)
.El
.Pp
Notes:
.Bl -enum -compact
.It
This board has been shipped by
.Tn HP
with the 4020i
.Tn CD-R
drive.
The board has no
.Tn BIOS
so it cannot control a boot device, but
it can control any secondary
.Tn SCSI
device.
.It
This board has been sold by SIIG as the i540 SpeedMaster.
.It
This board has been sold by SIIG as the i542 SpeedMaster.
.El
.Pp
Single Channel Products:
.Bl -tag -width "ABP510/5150" -offset indent -compact
.It ABP542
Bus-Master ISA with floppy (240 CDB)
.It ABP842
Bus-Master VL (240 CDB)
.El
.Pp
Dual Channel Products:
.Bl -tag -width "ABP510/5150" -offset indent -compact
.It ABP852
Dual Channel Bus-Master VL (240 CDB Per Channel)
.El
.Sh SEE ALSO
.Xr cd 4 ,
.Xr ch 4 ,
.Xr intro 4 ,
.Xr isa 4 ,
.Xr pci 4 ,
.Xr scsi 4 ,
.Xr sd 4 ,
.Xr st 4
.Pp
.Pa http://www.connectcom.net/
.Pp
.Pa http://www.siig.com/
.Sh HISTORY
The
.Nm
device driver appeared in
.Nx 1.4 .
.Sh AUTHORS
.An Baldassare Dante Profeta
.Aq dante@mclink.it
